GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get content gap overview GETList content gaps GETGet content gap GET
Content gaps

List content gaps GET

Enabled prompts with their latest coverage.

List actions GET

Open actions plus actions done or dismissed in the last 14 days.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Content gaps

Get content gap

GET
/brands/{brandId}/content-gaps/prompts/{promptId}

Latest analysis of one prompt: searches, verdicts and recommendation.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid
promptId*string
Formatuuid

Response Body

The analysis

application/json
  1. response
  1. response
  2. …
promptId*string
Formatuuid
text*string
type*string
intent*string|null
score*integer|null
level*|
Value in"excellent""good""medium""low"null
queries*integer
action*|
Value in"create""optimize"null
analyzedAt*string|null
failed*boolean
explanation*string|null
error*string|null
searches*array<>
recommendation*|null
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",  "text": "string",  "type": "string",  "intent": "string",  "score": 0,  "level": "excellent",  "queries": 0,  "action": "create",  "analyzedAt": "string",  "failed": true,  "explanation": "string",  "error": "string",  "searches": [    {      "query": "string",      "source": "prompt",      "verdict": "full",      "url": "string",      "excerpt": "string"    }  ],  "recommendation": {    "action": "create",    "url": "string",    "contentType": "string",    "impact": "high",    "effort": "quick_win",    "sections": [      "string"    ]  }}

List content gaps GET

Enabled prompts with their latest coverage.

List actions GET

Open actions plus actions done or dismissed in the last 14 days.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/content-gaps/prompts/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{
  "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
  "text": "string",
  "type": "string",
  "intent": "string",
  "score": 0,
  "level": "excellent",
  "queries": 0,
  "action": "create",
  "analyzedAt": "string",
  "failed": true,
  "explanation": "string",
  "error": "string",
  "searches": [
    {
      "query": "string",
      "source": "prompt",
      "verdict": "full",
      "url": "string",
      "excerpt": "string"
    }
  ],
  "recommendation": {
    "action": "create",
    "url": "string",
    "contentType": "string",
    "impact": "high",
    "effort": "quick_win",
    "sections": [
      "string"
    ]
  }
}